Bug 147448 - Freezes because of External link
Summary: Freezes because of External link
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
7.3.0.3 release
Hardware: x86-64 (AMD64) Linux (All)
: high major
Assignee: Eike Rathke
URL:
Whiteboard: target:7.4.0 target:7.3.2 target:7.3.1
Keywords: bibisectRequest, regression
Depends on:
Blocks:
 
Reported: 2022-02-15 18:22 UTC by Muhammad Bashir Al-Noimi
Modified: 2022-02-27 11:20 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments
Example works fine with LO 6.4.7.2 (10.79 KB, application/vnd.oasis.opendocument.spreadsheet)
2022-02-15 18:22 UTC, Muhammad Bashir Al-Noimi
Details
My configs (17.46 KB, image/png)
2022-02-15 18:24 UTC, Muhammad Bashir Al-Noimi
Details
backtrace waiting on mutex (3.93 KB, text/plain)
2022-02-17 18:42 UTC, Eike Rathke
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Muhammad Bashir Al-Noimi 2022-02-15 18:22:24 UTC
Created attachment 178295 [details]
Example works fine with LO 6.4.7.2

I use **Link to External Data** for fetching data from multiple web sources. This feature was working fine with old LO version but with recent version (as mentioned below) it freezes LO Calc after 60 sec. (depends on "Update every" option)

I tried to use another external sources (another links) but I always get the same result.

**- Version info.**
Version: 7.3.0.3 / LibreOffice Community
Build ID: 30(Build:3)
CPU threads: 8; OS: Linux 5.4; UI render: default; VCL: gtk3
Locale: en-US (en_US.UTF-8); UI: en-US
Ubuntu package version: 1:7.3.0~rc3-0ubuntu0.20.04.1~lo1
Calc: threaded
Comment 1 Muhammad Bashir Al-Noimi 2022-02-15 18:24:11 UTC
Created attachment 178296 [details]
My configs
Comment 2 m.a.riosv 2022-02-15 21:46:31 UTC
Please attach a ample file for test, the image doesn't help.
Comment 3 Muhammad Bashir Al-Noimi 2022-02-16 04:24:14 UTC
(In reply to m.a.riosv from comment #2)
> Please attach a ample file for test, the image doesn't help.

I attached a sample!
https://bugs.documentfoundation.org/attachment.cgi?id=178295
Comment 4 Eike Rathke 2022-02-17 18:42:14 UTC
Created attachment 178358 [details]
backtrace waiting on mutex

Apparently a deadlock. Backtrace attached. Didn't investigate further yet.
Comment 5 Muhammad Bashir Al-Noimi 2022-02-21 08:36:27 UTC
Guys, do you have any workaround for bypassing this bug? 
I no longer able to use this feature at all :(
Comment 6 Mike Kaganski 2022-02-21 08:53:30 UTC
(In reply to Muhammad Bashir Al-Noimi from comment #5)
> Guys, do you have any workaround for bypassing this bug? 
> I no longer able to use this feature at all :(

Thank you for testing fresh 7.3 version, catching the bug, and filing it here!
This way, you help to fix it, and make following 7.3 bugfix releases free of this bug.

Note though, that 7.3 is at its .0 stage now; that means that the version is for "technology enthusiast, early adopter or power user", as mentioned at the download page [1]; it is expected that this less-tested branch may have more bugs than the more-tested 7.2, which is recommended for mission-critical things.

Using that older branch is the workaround.

Thank you again!

[1] https://www.libreoffice.org/download/download/
Comment 7 Mike Kaganski 2022-02-21 08:56:13 UTC
(In reply to Mike Kaganski from comment #6)

Seeing that you reported 6.4 to be working for you, and the problem not yet tracked to a specific commit, it might happen that 7.2 also had that. In that case, you might want to use last-known-good version, which may be found at the download archive:

https://downloadarchive.documentfoundation.org/libreoffice/old/
Comment 8 Muhammad Bashir Al-Noimi 2022-02-21 09:01:35 UTC
(In reply to Mike Kaganski from comment #7)
> (In reply to Mike Kaganski from comment #6)
> 
> Seeing that you reported 6.4 to be working for you, and the problem not yet
> tracked to a specific commit, it might happen that 7.2 also had that. In
> that case, you might want to use last-known-good version, which may be found
> at the download archive:
> 
> https://downloadarchive.documentfoundation.org/libreoffice/old/

Thanks for the quick response
Actually I use the following PPA so I've to find a way to make a downgrade of the recent version.
https://launchpad.net/~libreoffice/+archive/ubuntu/ppa
Comment 9 Mike Kaganski 2022-02-21 09:16:20 UTC
(In reply to Muhammad Bashir Al-Noimi from comment #8)
> Actually I use the following PPA so I've to find a way to make a downgrade
> of the recent version.

Please check the "To return to the LibreOffice version from the main archive" line at the PPA page :)
Comment 10 caribo 2022-02-22 17:51:36 UTC
Downgrade to 7.2.5-5 is working as expected on Manjaro. External links can be updated manually, or automatically, without Libreoffice hanging.
Comment 11 Commit Notification 2022-02-26 01:58:18 UTC
Eike Rathke committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/4361ee2585e616cb3c504eb719deca4076de78da

Resolves: tdf#147448 ScRefreshTimerControl mutex must be std::recursive_mutex

It will be available in 7.4.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 12 Commit Notification 2022-02-26 02:12:31 UTC
Eike Rathke committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/aaa75591b0c0c7b097e2794a0b24ec7d0e0fa07f

Related: tdf#147448 Scope owning mutex before it gets destroyed

It will be available in 7.4.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 13 Commit Notification 2022-02-26 16:12:17 UTC
Eike Rathke committed a patch related to this issue.
It has been pushed to "libreoffice-7-3":

https://git.libreoffice.org/core/commit/dcd042c6f28276d707af409a87a1a4380398e9b0

Related: tdf#147448 Scope owning mutex before it gets destroyed

It will be available in 7.3.2.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 14 Commit Notification 2022-02-26 19:08:07 UTC
Eike Rathke committed a patch related to this issue.
It has been pushed to "libreoffice-7-3":

https://git.libreoffice.org/core/commit/7aae1d338aaf454b99c7354aca78951e26043b2b

Revert "Related: tdf#147448 Scope owning mutex before it gets destroyed"

It will be available in 7.3.2.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 15 Commit Notification 2022-02-26 19:13:21 UTC
Eike Rathke committed a patch related to this issue.
It has been pushed to "libreoffice-7-3-1":

https://git.libreoffice.org/core/commit/a6dc1d415492c160551dd98bad1cd4c116f136eb

Resolves: tdf#147448 ScRefreshTimerControl mutex must be std::recursive_mutex

It will be available in 7.3.1.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 16 Eike Rathke 2022-02-27 00:01:30 UTC
That "will be available in 7.3.1" is to be taken with a grain of salt and will only hold *iff* there will be a 7.3.1.3 RC (or hotfix).
Comment 17 Commit Notification 2022-02-27 09:39:27 UTC
Eike Rathke committed a patch related to this issue.
It has been pushed to "libreoffice-7-3":

https://git.libreoffice.org/core/commit/321325452c16e5e0f9e5258bb2ccdbfff63acc12

Resolves: tdf#147448 ScRefreshTimerControl mutex must be std::recursive_mutex

It will be available in 7.3.2.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 18 Commit Notification 2022-02-27 11:20:07 UTC
Eike Rathke committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/42bb97c06ec326c7e136e01bcd1a88031700b1b1

Revert "Related: tdf#147448 Scope owning mutex before it gets destroyed"

It will be available in 7.4.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.